Bug 63663 - samba wont work
samba wont work
Status: CLOSED NOTABUG
Product: Red Hat Public Beta
Classification: Retired
Component: samba (Show other bugs)
skipjack-beta2
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-16 22:08 EDT by Need Real Name
Modified: 2007-04-18 12:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-17 09:28:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-04-16 22:08:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.0.0; Linux 2.4.18-0.13)

Description of problem:
I cant connect to the server sing samba and windows clients

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.setup samba
2.attempt to connect
3.
 

Additional info:
Comment 1 Warren Togami 2002-04-17 00:31:58 EDT
Please provide more details.

Are is this Samba acting as a server?

Did this configuration work in an older version of Samba and Red Hat 7.2?

Can you attach your samba configuration files?
Comment 2 Warren Togami 2002-04-17 05:40:54 EDT
Also if you are running Samba server, be sure that the built in "Firewall"  
that you configured during Skipjack installation isn't blocking those ports.  
Can you please post the output of "ipchains -L"? 
Comment 3 Need Real Name 2002-04-17 06:52:29 EDT
[global]
 workgroup = xxx
 netbios name = MIDAS
 server string = samba Server %v
 encrypt passwords = Yes
 log file = /var/log/samba/%m.log
 max log size = 0
 time server = Yes
 socket options = TCP_NODELAY SO_RCVBUF=8192 SO_SNDBUF=8192
 dns proxy = No
 wins support = Yes
 remote announce = 192.168.0.255
 admin users = seth,icarus
 printer admin = @home
 hosts allow = xxx.xxx.xxx. 127.

[homes]
 comment = Home Directories
 valid users = %S
 read only = No
 create mask = 0664
 directory mask = 0775


[tmp]
 comment = Temporary file space
 path = /tmp
 read only = No
 guest ok = Yes

[HL1440]
 path = /usr/spool/public
 guest ok = Yes
 printable = Yes
Comment 4 Need Real Name 2002-04-17 07:00:28 EDT
this is my home computer that is a file server for 2 othercomputers.
this smb.conf worked with 7.2
my only other idea is maybe I have security levels too high, I dont remember
what I set during the install
Comment 5 Need Real Name 2002-04-17 09:28:37 EDT
[root@midas root]# ipchains -L
Chain input (policy ACCEPT):
target     prot opt     source                destination           ports
ACCEPT     udp  ------  192.168.0.1          anywhere              domain ->  
1025:65535
ACCEPT     tcp  -y----  anywhere             anywhere              any ->   smtp
ACCEPT     tcp  -y----  anywhere             anywhere              any ->   http
ACCEPT     tcp  -y----  anywhere             anywhere              any ->   ssh
ACCEPT     udp  ------  anywhere             anywhere              bootps:bootpc
->   bootps:bootpc
ACCEPT     udp  ------  anywhere             anywhere              bootps:bootpc
->   bootps:bootpc
ACCEPT     all  ------  anywhere             anywhere              n/a
REJECT     tcp  -y----  anywhere             anywhere              any ->   0:1023
REJECT     tcp  -y----  anywhere             anywhere              any ->   nfs
REJECT     udp  ------  anywhere             anywhere              any ->   0:1023
REJECT     udp  ------  anywhere             anywhere              any ->   nfs
REJECT     tcp  -y----  anywhere             anywhere              any ->   x11:6009
REJECT     tcp  -y----  anywhere             anywhere              any ->   xfs
Chain forward (policy ACCEPT):
Chain output (policy ACCEPT):


does this help?
Comment 6 Trond Eivind Glomsrxd 2002-04-17 10:12:39 EDT
You're blocking the traffic in the firewall
Comment 7 Need Real Name 2002-04-17 13:53:51 EDT
thanks, I believe I chose the default security level. perhaps this should be
changed to allow samba connections?
Comment 8 Trond Eivind Glomsrxd 2002-04-17 14:14:55 EDT
No, it's definitely a thing you usually do want to block when connected to the
Internet.

Note You need to log in before you can comment on or make changes to this bug.